Skip to main content
PUT
/
api
/
v1
/
connector-configurations
/
{id}
cURL
curl --request PUT \
  --url https://vpos.payven.com.tr/api/v1/connector-configurations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "extraPropertiesDict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "mode": "Test",
  "apiKey": "<string>",
  "secretKey": "<string>",
  "username": "<string>",
  "password": "<string>",
  "terminalId": "<string>",
  "storeId": "<string>",
  "apiEndpointUrl": "<string>",
  "threeDSecureEndpointUrl": "<string>",
  "extraCredentials": "<string>",
  "bankCode": "<string>",
  "priority": 123,
  "isActive": true
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "extraPropertiesDict": {},
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectorName": "<string>",
    "connectorCode": "<string>",
    "name": "<string>",
    "mode": "Test",
    "apiKey": "<string>",
    "secretKey": "<string>",
    "username": "<string>",
    "password": "<string>",
    "terminalId": "<string>",
    "storeId": "<string>",
    "apiEndpointUrl": "<string>",
    "threeDSecureEndpointUrl": "<string>",
    "extraCredentials": "<string>",
    "bankCode": "<string>",
    "priority": 123,
    "isActive": true,
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

Body

extraPropertiesDict
object
id
string<uuid>
name
string | null
mode
enum<integer>
Available options:
Test,
Production
apiKey
string | null
secretKey
string | null
username
string | null
password
string | null
terminalId
string | null
storeId
string | null
apiEndpointUrl
string | null
threeDSecureEndpointUrl
string | null
extraCredentials
string | null
bankCode
string | null
priority
integer<int32>
isActive
boolean

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object